complexType "SimpleFra"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 9 elements
Defined: | globally in fpml-asset-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | instrumentId+, description?, currency?, exchangeId?, clearanceSystem?, definition?, startTerm, endTerm, dayCountFraction?
</...>

Content Model Elements (9):

  clearanceSystem (defined in UnderlyingAsset complexType), currency (defined in UnderlyingAsset complexType), dayCountFraction (in simpleFra), definition (defined in UnderlyingAsset complexType), description (defined in IdentifiedAsset complexType), | endTerm, exchangeId (defined in UnderlyingAsset complexType), instrumentId (defined in IdentifiedAsset complexType), startTerm

All Direct / Indirect Based Elements (1):

  simpleFra

Known Usage Locations

- As direct type of elements (1):
  simpleFra

Type Definition Detail

Type Derivation Tree Asset (extension) IdentifiedAsset (extension) UnderlyingAsset (extension) SimpleFra

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="SimpleFra"> <xsd:complexContent> <xsd:extension base="UnderlyingAsset"> <xsd:sequence> <xsd:element name="startTerm" type="Period"/> <xsd:element name="endTerm" type="Period"/> <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/9)
dayCountFraction

  Type: | DayCountFraction, simple content

  The day count basis for the FRA.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"/>

endTerm

  Type: | Period, complex content

  Specifies the end term of the simple fra, e.g. 9M.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="endTerm" type="Period"/>

startTerm

  Type: | Period, complex content

  Specifies the start term of the simple fra, e.g. 3M.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="startTerm" type="Period"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.